sox (14.4.1-5+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload.
  * Add patches for CVE-2014-8145 to series file and really apply fixes.
    Thanks to Mike Salvatore for spotting the issue. (Closes: #773720)

 -- Adrian Bunk <bunk@debian.org>  Sun, 24 Feb 2019 18:04:09 +0200

sox (14.4.1-5) unstable; urgency=medium

  * Patches to fix memory corruptions on the heap, CVE-2014-8145
    (closes: #773720):
    + 0001-Check-for-minimum-size-sphere-headers.patch
    + 0002-More-checks-for-invalid-MS-ADPCM-blocks.patch

 -- Pascal Giard <pascal@debian.org>  Wed, 24 Dec 2014 14:33:55 -0500

sox (14.4.1-4) unstable; urgency=low

  * [debian/rules,debian/control]:
    - Build with dh-autoreconf instead of autotools-dev to fix FTBFS on new
      architectures. Thanks to William Grant <wgrant@ubuntu.com> and Breno
      Leitao <brenohl@br.ibm.com> (Closes: #746517).
  * [debian/control]:
    - Remove useless build-dep on libav* (Closes: #748049).

 -- Pascal Giard <pascal@debian.org>  Wed, 21 May 2014 21:58:57 -0400

sox (14.4.1-3) unstable; urgency=low

  * [debian/rules]:
    - Added an explicit call to dh_installchangelogs as Ubuntu no longer does
      does it by default. It's important for us as it contains the list of
      past contributors.
  * [debian/docs]:
    - Fixed paths to files.

 -- Pascal Giard <pascal@debian.org>  Mon, 15 Apr 2013 21:20:12 -0400

sox (14.4.1-2) unstable; urgency=low

  * [debian/libsox-fmt-base.install.in]:
    - Added all missing sndfile-derived formats. Thanks to Ulrich Klauer
      <ulrich@chirlu.de> for the patch (LP: #1086889).
  * [debian/control]:
    - Removed duplicate section field for sox. Fixes lintian warning.
    - Added Build-Dep on autotools-dev for dh_autotools_dev.
  * [debian/rules]:
    - Use dh_autotools_dev to update the outdated autotools helper files.
      Fixes lintian warning.

 -- Pascal Giard <pascal@debian.org>  Fri, 22 Feb 2013 22:38:19 -0500

sox (14.4.1-1) unstable; urgency=low

  * New upstream release.
    - Fixed misleading error message (closes: #676143).
    - Fixed early termination on Ogg Vorbis files with a non-power of two
      number of channels (closes: #672567).
  * [debian/source/format]:
    - Finally switched to dpkg-source 3.0 (quilt) format!
  * [debian/rules]:
    - No longer using CDBS and depricated makefiles, fixes lintian warnings
      "debian-rules-uses-deprecated-makefile".
    - Added multiarch support.
  * [debian/control]:
    - Added Vcs-Git and Vcs-Browser pointing to upstream VCS.
    - Added Pre-Depends on multiarch-support for libsox2, does not seem to be
      required for the other packages (contradiction in the documentation?),
      fixes lintian warning "missing-pre-dependency-on-multiarch-support".
    - Bumped Standards-Version to 3.9.3, no changes needed.
    - Set Multi-Arch on the shared libraries where appropriate.
    - Set Section to libs for all libsox* but libsox-dev.
  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Removed, fixed upstream.
  * [debian/compat]:
    - Bumped to 9 to automatically use dpkg-buildflags, fixes lintian warnings
      "hardening-no-relro" and some "hardening-no-fortify-functions" (there
      are still 5 false positives on the latter though).
  * [debian/watch]:
    - Updated watch file, thanks to Bart Martens <bartm@debian.org>.
  * [debian/README.source]:
    - Updated to reflect the much simplified packaging and usage of quilt.

 -- Pascal Giard <pascal@debian.org>  Mon, 11 Feb 2013 22:25:36 -0500

sox (14.4.0-5) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Updated to only use try_device() on pulseaudio. Thanks to
      Ulrich Klauer <ulrich@chirlu.de> for the patch (closes: #676167).

 -- Pascal Giard <pascal@debian.org>  Fri, 18 Jan 2013 22:29:15 -0500

sox (14.4.0-4) experimental; urgency=low

  * [debian/rules, debian/control, debian/libsox-fmt-ffmpeg.dirs,
     debian/libsox-fmt-ffmpeg.install]:
    - Explicitly disabled and removed ffmpeg support as it's broken.
      It is being depricated in the next upstream version anyway
      (closes: #693642).

 -- Pascal Giard <pascal@debian.org>  Thu, 17 Jan 2013 21:18:45 -0500

sox (14.4.0-3) unstable; urgency=low

  * [debian/patches/01_default_audio_driver_fallback.patch]:
    - Added default audio driver fallback. Thanks to Rob Sykes for the patch
      (closes: #664301).

 -- Pascal Giard <pascal@debian.org>  Sun, 06 May 2012 22:55:25 -0400

sox (14.4.0-2) unstable; urgency=low

  * [debian/sox.install, debian/libsox-dev.install]:
    - Removed brace expensions fixing lintian warning
      "brace-expansion-in-debhelper-config-file".
  * [debian/control]:
    - Added versioned dependency to format libraries, fixes upgrades in some
      use cases.
    - Added MP2 to short description of libsox-fmt-mp3.
  * [debian/copyright]:
    - Long due update, thanks to Ulrich Klauer <ulrich@chirlu.de> for pointing
      this out.
    - libst is now libsox.
    - FFT code is no longer Audacity's GPL code.
    - Updated link to LGPL license to 2.1.

 -- Pascal Giard <pascal@debian.org>  Sun, 11 Mar 2012 23:59:36 -0400

sox (14.4.0-1) unstable; urgency=low

  * New upstream release.
    - sox_format_quit() resets format counts (closes: #660552).
    - Added support for MP2 via TwoLAME.
  * [debian/patches/01_transition_to_libav.patch]:
    - Removed, fixed upstream.
  * [debian/control]:
    - Use arch wildcards and added missing whitespaces (closes: #651754).
    - Changed Build-Dep on libpng-dev instead of libpng12-dev (closes: #662509).
    - Bumped libsox1b to libsox2, interface changes.
    - Added Build-Dep on libtwolame-dev and updated libsox-fmt-mp3 description.

 -- Pascal Giard <pascal@debian.org>  Tue, 06 Mar 2012 22:49:42 -0500

sox (14.3.2-3) unstable; urgency=low

  * [debian/control]:
    - Added armhf to architectures for which libsox-fmt-alsa should be built,
      thanks to Konstantinos Margaritis (closes: #645397).

 -- Pascal Giard <pascal@debian.org>  Sat, 10 Dec 2011 23:53:50 -0500

sox (14.3.2-2) unstable; urgency=low

  * Dynamically link against libmp3lame now that it's part of main
    (closes: #627687).
  * Preparing for transition from ffmpeg to libav (closes: #638206).
  * [debian/rules]:
    - Removed --enable-dl-lame, no longer needed.
  * [debian/control]:
    - Added Build-Dep on libmp3lame-dev.
    - Updated libsox-fmt-mp3 to reflect the change.
  * [debian/patches/01_transition_to_libav.patch]:
    - Added support for libav while still supporting ffmpeg.

 -- Pascal Giard <pascal@debian.org>  Sun, 21 Aug 2011 23:57:28 -0400

sox (14.3.2-1) unstable; urgency=low

  * New upstream release (closes: #616098).
    - Fixed segfault for some LADSPA effects (closes: #555940).
    - Fixed --with-dyn-default for sndfile, amr-nb and arm-wb.
  * [debian/patches/01_fix_ffmpeg_alignment.patch]:
    - Removed, fixed upstream.
  * [debian/control]:
    - Fixed build-dep minimum required version of liavcodec to 4:0.6.0. The
      mips arch currently fails to build as it is still at 0.5.x.
    - Modified libsox-fmt-mp3 to include a note on mp3 support.
  * [debian/rules]:
    - Removed --without-lame and added --enable-dl-lame to configure flags.
      LAME can now be detected at runtime; the user HAS to install LAME himself
      (closes: #382275, #480180).
  * [debian/libsox-fmt-base.install]:
    - Added new dynamic libraries for sndfile, amr-nb and amr-wb.

 -- Pascal Giard <pascal@debian.org>  Wed, 02 Mar 2011 11:04:21 -0500

sox (14.3.1-2) unstable; urgency=low

  * [debian/patches/01_fix_ffmpeg_alignment.patch]:
    - Fixed ffmpeg segfault caused by alignment requirements, thanks to
      Reuben Thomas (closes: #537511).
  * [debian/rules]:
    - Set distro based on the build distribution, thanks to Benjamin Drung
      <bdrung@debian.org> for the patch (closes: #612409).
    - Removed -D_REENTRANT from CFLAGS.
  * [debian/control, debian/copyright, debian/libsox-dev.install]:
    - Executed wrap-and-sort from ubuntu-dev-tools as suggested by
      Benjamin Drung <bdrung@debian.org>, thanks! (closes: #612410).
  * [debian/control]:
    - Bumped standard version to 3.9.1.
  * [debian/source/format]:
    - Specified format 1.0 (TODO: move to quilt 3.0).

 -- Pascal Giard <pascal@debian.org>  Fri, 11 Feb 2011 21:13:57 -0500

sox (14.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Single-threaded is now default (closes: #546944).
    - Support for OpenCore-derived implementation of AMR (closes: #193348).
  * [debian/control]:
    - Improved PulseAudio integration.
    - Bumped standard version to 3.8.3, no changes required.
    - Removed duplicate section control field, inherited from source.
    - Removed Guenter Geiger from uploaders (closes: #546952).
    - Removed depend on alsa for fmt-all on non-Linux systems (closes: #539224).
    - Added build-dep on libopencore-amrnb-dev and libopencore-amrwb-dev.
    - Bumped Standards-Version to 3.8.4, no changes needed.
    - Bumped libsox1a to libsox1b, interface changes.
  * [debian/changelog]:
    - Fixed to spelling errors reported by Lintian.
  * [debian/README.source]:
    - Fixed typo.
  * [debian/docs]:
    - Added README.source (really fixes #522548).
  * [debian/libsox-fmt-base.install]:
    - Removed formats now in libsox.
  * [debian/rules]:
    - Enable amr-nb and amr-wb as there is now an implementation in main.

 -- Pascal Giard <pascal@debian.org>  Wed, 05 May 2010 14:33:18 -0400

sox (14.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing Replaces from libsox-fmt-base to libsox-fmt-sndfile. Fix
    file overwrite errors when upgrading from Lenny. (Closes: #540497)

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 04 Oct 2009 14:44:45 +0200

sox (14.3.0-1) unstable; urgency=low

  * New upstream release.
  * [debian/control]:
    - Added build depend on libpulse-dev.
    - Added PulseAudio package.
    - Bumped libsox1 to libsox1a, new version is binary incompatible.
  * [debian/rules]:
    - Added distro name.
    - Added dynamic library configure flag.
    - Re-enabled libmagic as it's not used by default anymore.
    - Explicitly disabled amrwb and amrnb.
    - Removed now useless --disable-rpath flag.
    - Made patch target available at all times.
  * [debian/libsox-fmt-pulse.dirs,debian/libsox-fmt-pulse.install]:
    - Added PulseAudio library.
  * [debian/libsox-fmt-base.install]:
    - Removed formats libraries that are now included in libsox.
  * [debian/mime]:
    - Fixed by moving the argument before the filename, thanks to
      Robert Grimm <rob@robgri.de> (closes: #530899).
  * [debian/README.source]:
    - Added documentation on the debian source package. This follows section
      4.14 of the Debian Policy Manual (closes: #522548).
  * [debian/watch]:
    - Bump version to 3 as recommended by uscan manpage.

 -- Pascal Giard <pascal@debian.org>  Sat, 04 Jul 2009 12:55:41 -0400

sox (14.2.0-2) unstable; urgency=low

  * [debian/rules]: Disabled libmagic (closes: #521639, #522241).
  * [debian/control]:
    - Added misc-Depends to all packages.
    - Updated version of build depend on debhelper to 7.
    - Updated standard version to 3.8.1, no changes required.
  * [debian/watch]: Use sourceforge.net redirector.
  * [debian/compat]: Bumped debhelper compat version to 7.
  * [debian/copyright]: Refer to versioned GPL-2 and LGPL-2 files.

 -- Pascal Giard <pascal@debian.org>  Thu, 09 Apr 2009 23:37:14 -0400

sox (14.2.0-1) unstable; urgency=low

  * New upstream release (closes: #479557, #484562, #499041).
  * [debian/control]:
    - libsox1 replaces libsox0a.
    - Improved libsox1 short and long descriptions (closes: #493483).
    - Moved Homepage field to source.
    - Prevented libsox-fmt-alsa from being packaged where alsa doesn't exist.
    - Improved libsox-fmt-base description by giving format examples.
    - Added Build-Dep on libmagic-dev.

 -- Pascal Giard <pascal@debian.org>  Tue, 25 Nov 2008 21:29:26 -0500

sox (14.1.0-1) unstable; urgency=medium

  * New upstream release:
    - Adds support for for the 2, 2.6 and 4-bit ADPCM .voc (closes: #103479).
    - Adds pkgconfig support (closes: #462704).
    - Fixes issue with ALSA playback (closes: #474961).
    - Adds many formats supported by sndfile.
  * [debian/libsox-fmt-base.install]:
    - Removed auto library, no longer exists upstream.
    - Added Hidden Markov Model speech processing format (htk) library.
    - Added Aaron Wallace's `Sounder' of 1991 format (sndr) library.
    - Added Martin Hepperle's `SoundTool' of 1991/2 format (sndt) library.
    - Added WavPack format (wv) library.
    - Added Apples's Core Audio Format (caf) library.
    - Added Ensoniq PARIS digitial audio format (fap, paf) libraries.
    - Added Gnu Octave 2.0 and 2.1 format (mat, mat4, mat5) libraries.
    - Added Portable Voice Format (pvf) library.
    - Added Sound Designer II format (sd2) library.
    - Added Sound Forge Audio Format (w64) library.
    - Added Fasttracker 2 format (xi) library.
  * [debian/libsox-dev.install]:
    - Added pkgconfig file.
  * [debian/sox.install]:
    - Added soxi, a utility to extract/display file header fields.
  * [debian/patches/00-fix-segfault-64bit.diff]:
    - Removed, fixed upstream.
  * [debian/rules]:
    - Disabled patch system, no more patches.
    - Added -I/usr/include/ffmpeg to CPPFLAGS, required by ffmpeg >= 20080225.
  * [debian/control]:
    - Added Build-Dep on libavutil-dev, libwavpack-dev and libpng12-dev.
    - Fixed lintian warning, "meta package" changed to "metapackage".
    - Bumped Standards-Version to 3.8.0, needed changes were already made.
    - Removed libsox-fmt-gsm and libsox-fmt-sndfile, merged in libsox-fmt-base.
    - Added merged packages to Replaces field of libsox-fmt-base.
    - Bumped libsox0 to libsox0a, new version is binary incompatible.
  * [debian/libsox-fmt-gsm.install, debian/libsox-fmt-gsm.dirs,
     debian/libsox-fmt-libsndfile.install, debian/libsox-fmt-libsndfile.dirs,
     debian/libsox-fmt-flac.install, debian/libsox-fmt-flac.dirs,
     debian/libsox-fmt-ogg.install, debian/libsox-fmt-ogg.dirs]:
    - Removed, merged gsm, libsndfile, flac and ogg in libsox-fmt-base.

 -- Pascal Giard <pascal@debian.org>  Thu, 31 Jul 2008 08:12:08 -0400

sox (14.0.1-2) unstable; urgency=low

  * [debian/libsox-dev.install]:
    - Added libsfx.a and libsfx.so symlinks to libsox-dev (closes: #463800).
    - Removed *.la files.
  * [debian/patches/00-fix-segfault-64bit.diff]:
    - Fixed segfault on 64bit cpus with tempo and key effects
      (closes: #461300). Thanks to Sami Liedes <sliedes@cc.hut.fi>.
  * [debian/rules]:
    - Enabled patch system.

 -- Pascal Giard <pascal@debian.org>  Wed, 13 Feb 2008 10:41:29 -0500

sox (14.0.1-1) unstable; urgency=low

  * New upstream release:
    - Report remaining playtime of mp3s (closes: #431120).
  * [debian/control]:
    - Added libid3tag0-dev to Build-Depends.
    - Bumped libsox-fmt-all, libsox-fmt-alsa | libsox-fmt-ao | libsox-fmt-oss
      to Depends for sox (closes: #450802, #454177, #460503).
    - Use Homepage field fixing lintian warnings.
    - Moved libsox-dev to libdevel section.
    - Bumped Standards-Version to 3.7.3.
  * [debian/rules]: Fix unoptimized build by using CFLAGS instead of
    DEB_CONFIGURE_SCRIPT_ENV (closes: #461001).

 -- Pascal Giard <pascal@debian.org>  Sat, 09 Feb 2008 08:56:17 -0500

sox (14.0.0-5) unstable; urgency=low

  * [debian/control]:
    - Copied libsox0 Recommends and Suggests to sox (closes: #447903).

 -- Pascal Giard <pascal@debian.org>  Wed, 24 Oct 2007 20:53:53 -0400

sox (14.0.0-4) unstable; urgency=low

  * [debian/control]:
    - Fixed depends for libsox-dev, libsox-fmt-base became libsox-fmt-all.
    - Fixed circular dependency libsox0 <--> libsox-fmt-base.
      + libsox0 no longer requires libsox-fmt-base (closes: #444926).
      + Added libsox-fmt-base to Recommends.
      + Retrograded libsox-fmt-all from Recommends to Suggests.
      + Improved long description of sox.

 -- Pascal Giard <pascal@debian.org>  Tue, 02 Oct 2007 21:14:39 -0400

sox (14.0.0-3) unstable; urgency=low

  * [debian/control]:
    - Added missing Build-Dep on libavformat-dev (closes: #444657).

 -- Pascal Giard <pascal@debian.org>  Sun, 30 Sep 2007 14:46:46 -0400

sox (14.0.0-2) unstable; urgency=low

  * [debian/control]: Proper short description for format packages.

 -- Pascal Giard <pascal@debian.org>  Sat, 29 Sep 2007 12:50:27 -0400

sox (14.0.0-1) unstable; urgency=low

  * New upstream release:
    - Another important release, please see the upstream changelog.
    - Adds dynamic libraries.
    - Adds playlist support (closes: #119470).
    - Uses libao output (closes: #391514, #421682).
    - Big-endian fix (closes: #421682).
    - Invalid pointer fix (closes: #414977).
    - la to wav conversion fix (closes: #435362).
    - FLAC support fix (closes: #437130).
    - Fixes extra noise at end of wav files (closes: #436012).
  * [debian/control]:
    - sox-dev renamed to libsox-dev.
    - Created libsox0 package that contains the SoX library.
    - Fixed sound file types description.
    - Added build dependency on libao-dev, libltdl3-dev, ladspa-sdk and
      libavcodec-dev.
    - No longer conflicting with libst and libst-dev.
    - Splitted format libraries in different packages (libsox-fmt-foo).
    - Added !hurd-i386 to dependency on libasound-dev (closes: #440470).
    - Replaced ${Source-Version} with ${binary:Version}.
  * [debian/libsox-dev.dirs]:
    - Added /usr/lib/sox/ for format plugins.
  * [debian/libsox0.install, debian/libsox-dev.install]:
    - Added library.
  * [debian/libsox-fmt-*]:
    - Added format plugins.
  * [debian/rules]:
    - Removed fPIC from CFLAGS as libtool takes care of it upstream.
    - Removed LDFLAGS -Wl,-z,defs as upstream is now doing it.
    - Added DEB_DH_MAKESHLIBS_ARGS -Xfmt to avoid useless calls to ldconfig.
    - Fixed lintian binary-or-shlib-defines-rpath warnings with configure flag.

 -- Pascal Giard <pascal@debian.org>  Wed, 12 Sep 2007 12:10:38 -0400

sox (13.0.0-1) unstable; urgency=low

  * New upstream version:
    - Huge amount of changes (closes: #345726, #274519, #257525).
    - Please see the upstream changelog.
    - Warning: some scripts may break with this new version.
    - Guenter set as co-maintainer.
    - soxmix no longer exists (closes:  #349178, #374096).
  * Taking over the package with Guenter's permission.
    - Thanks alot for all those years of maintenance!
  * [debian/control]:
    - Added build-depends on libsamplerate0-dev, libgsm1-dev and
      libsndfile1-dev.
    - Added !kfreebsd-amd64 to libasound2-dev (closes: #361487).
  * [debian/patches]: No more patches, everything is fixed upstream.
  * [debian/rules]:
    - Added -D_REENTRANT as required by policy on libraries.
    - Added -Wl,-z,defs to enforce symbol resolution at build time.
    - Disabled shared library for now, see README.Debian.
  * [debian/README.Debian]:
    - Added instructions to build from CVS.
    - Added information as to why shared lib is disabled for now.

 -- Pascal Giard <pascal@debian.org>  Fri, 23 Feb 2007 12:07:50 -0500

sox (12.18.2-2) unstable; urgency=low

  * [debian/patches/01_fix_draining.patch]:
    - Unofficial patch from upstream that fixes all effects relying on
      draining. Thanks to Chris Bagwell <chris@cnpbagwell.com>.
  * [debian/copyright]: Removed reminiscence of the old version.
  * [debian/patches/03_fix_manpage_typos.patch]:
    - Fixed typos in sox.1 and play.1 manpages. Thanks to
      A. Costa <agcosta@gis.net> (closes: #404290, #404288).

 -- Pascal Giard <pascal@debian.org>  Sat, 23 Dec 2006 14:09:53 -0500

sox (12.18.2-1) unstable; urgency=low

  * Changes by Pascal Giard <pascal@debian.org>
    - New upstream version (closes: #397388, #374369).
    - [debian/rules]: Compiling with -fPIC (closes: #390715).
    - [debian/control]: Standards-Version bumped to 3.7.2, -fPIC was required.
    - [debian/copyright]: Fixed license attribution (closes: #398723).
    - [debian/patches/06_eof.patch]: Deleted, fixed upstream.
  * Fixed date format in changelog
    - New upstream version (closes: #336542, #402862)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue,  5 Dec 2006 18:40:43 +0100

sox (12.17.9-1) unstable; urgency=low

  * New upstream version
  * Added ALSA support
  * Use play script from version 12.17.18 with multiple file support, I
    do not dare to switch to the new behaviour and ALSA by default yet.

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Dec 2005 12:47:16 +0100

sox (12.17.8-1) unstable; urgency=low

  * New upstream version
  * New standards version

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 22 Sep 2005 14:31:55 +0200

sox (12.17.7-2) unstable; urgency=low

  * Moved ststdint.h to -dev package
  * fixed disk full problem (0_eof.patch) (closes: #313206)
  * sox-dev replaces earlier sox versions, upgrading should be save
    (closes: #162942)
  * sox-dev includes st.h, st_i.h is only meant for sox internal use
    (closes: #254846)
  * Problem with rec script fixed upstream (closes: #272080)
  * Added soxexam.1 manpage (closes: #307661)
  * Applied patch for fixing -x behaviour (closes: #316346)
  * Applied manpage typo patch (closes: #302819)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 15 Jul 2005 18:22:03 +0200

sox (12.17.7-1) unstable; urgency=low

  * New upstream version
  * removed free comment patch
  * OGG serial number bug fixed upstream (closes: #277288)
  * Added headers for -dev package in .install file (closes: #254846)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 18 Mar 2005 12:43:34 +0100

sox (12.17.5-4) unstable; urgency=low

  * Disabled broken ALSA support (closes: #274151)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Oct 2004 19:16:37 +0200

sox (12.17.5-3) unstable; urgency=low

  * removed free() call for ft->format in wav.c (closes: #267147)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 24 Aug 2004 10:57:44 +0200

sox (12.17.5-2) unstable; urgency=low

  * Fixed the dangling symlink problem (closes: #266301)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 17 Aug 2004 15:29:00 +0200

sox (12.17.5-1) unstable; urgency=low

  * New upstream release
  * moved to patch system (for Debian applied patches see debian/patches)
  * added watch file
  * added Homepage in control file

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 15 Aug 2004 22:28:45 +0200

sox (12.17.4-9) unstable; urgency=low

  * Applied security patch (http://secunia.com/advisories/12175/)
    (closes: 262083)
  * Applied patch to resample.c for correct function definitino (closes:
    262085) thanks to Adam Majer
  * Fixed vorbis debug output (closes: 250272)
  * patched vorbis.c to create correct comment entries (closes: 244163)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 30 Jul 2004 13:47:29 +0200

sox (12.17.4-8) unstable; urgency=low

  * patched wav.c with datalength patch. Thanks to Steven Critchfield
    (closes: 238794)
  * sox.1 manpage now documents the correct default bahaviour
    (logarithmic) for fade effect (closes: 140573)
  * Compand effect seems to be fixed upstream (closes: 216791)
  * remove documentation for split effect from manpage. split doesn't
    exist (closes: 220194)
  * Disabled passing of options to sox (for consistency) (closes:
    241653)
  * patched swap effect, fixes usage of swap with parameters 1 1
    (closes: 242051)
  * Updated play.1 man page (fixed wording)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon,  5 Apr 2004 11:12:48 +0200

sox (12.17.4-7) unstable; urgency=low

  * debian/rules use cdbs
  * fixed libst-config behavious (closes: #223672)
  * removed pick effect (same as avg) from description (closes: #188672)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 13 Jan 2004 17:07:02 +0100

sox (12.17.4-6.1) unstable; urgency=low

  * NMU
  * Remove bash-ism from usr/bin/play (closes: #222157, #207001, #219608)
  * Fix call to ln in debian/rules (closes: #217373)
  * Remove commented debhelper calls from debian/rules.
  * Update debian/copyright file to indicate that sox is distributed
    under the LGPL, and note it's new upstream website (closes: #210194)
  * Bump to Standards-Version 3.6.1

 -- Paul Cupis <paul@cupis.co.uk>  Sat,  3 Jan 2004 16:04:22 +0000

sox (12.17.4-6) unstable; urgency=low

  * removed pan debug message (closes: #202839)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sat, 26 Jul 2003 14:41:57 +0200

sox (12.17.4-5) unstable; urgency=low

  * added help message to play with wrong arguments (closes: #174033)
  * extended the description (closes: #184034)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 17 Jul 2003 18:06:41 +0200

sox (12.17.4-4) unstable; urgency=low

  * make copying of new config.guess, config.sub optional in rules
  * added libmad0 and libasound2-dev  build depend

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 19 Mar 2003 13:53:36 +0100

sox (12.17.4-3) unstable; urgency=low

  * copied new config.guess, config.sub (closes: #185240)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 18 Mar 2003 12:08:29 +0100

sox (12.17.4-2) unstable; urgency=low

  * fixed dangling rec link

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 18 Mar 2003 11:08:29 +0100

sox (12.17.4-1) unstable; urgency=low

  * new upstream version
  * Sox crashes on specific input problem fixed (closes: #166440)
  * rec filename problem fixed (closes: #175072)
  * Dependency problem seems to be gone (closes: #154951)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 27 Feb 2003 13:26:15 +0100

sox (12.17.3-6) unstable; urgency=low

  * fixed audio rate bug (closes: #164033)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 11 Oct 2002 13:11:24 +0200

sox (12.17.3-5) unstable; urgency=low

  * added Replaces to sox-dev, able to overwrite old sox files.
  * patched play (vadim_t _a_ teleline.es) (closes: 163726) (closes: 151344)
  * patched rec (vadim_t _a_ teleline.es) (closes: 163728)
  * removed the user path (@PREFIX@) from play.in (closes: 146650)
  * updated config.guess and config.sub (closes: 155228)
  * manpage states now that "-e" is only useful with stat effect
    (closes: 121156)
  * Trying to convert raw files now prints more verbose error message
    (closes: 121798)
  * removed split from manpage (can be done with -c 2) (closes: 148614)
  * fixed typo in play manpage (closes: 159876)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 30 Sep 2002 12:48:17 +0200

sox (12.17.3-4.1) unstable; urgency=low

  * NMU to fix breakage caused by libvorbis0 split.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 29 Jul 2002 23:00:00 -0500

sox (12.17.3-4) unstable; urgency=low

  * fixed the rec script (closes: #143262)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 30 Apr 2002 17:24:18 +0200

sox (12.17.3-3) unstable; urgency=low

  * included patch for  PPC (Closes: #132227)
  * reuploaded original source

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed,  3 Apr 2002 19:06:10 +0200

sox (12.17.3-2) unstable; urgency=low

  * fixed override disparity (sox-dev section = devel)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 25 Feb 2002 10:17:36 +0100

sox (12.17.3-1) unstable; urgency=low

  * new upstream
  * split package into sox and sox-dev (sttools)
  * inlcuded vorbis support
  * remove PATH statement in play (closes: #129836)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 17 Jan 2002 10:39:27 +0100

sox (12.17.2-1) unstable; urgency=low

  * new upstream version (closes: #117665)
  * (closes: #117122)  gsm playback
  * (closes: #119459)  trim effect
  * (closes: #79402) dat -> wav conversion fails

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 14 Nov 2001 11:34:19 +0100

sox (12.17.1-5.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control:
    + fixed Build-Depends (debhelper needs to be >= 1.2.64, as it uses
      dh_installmime), libgsm1-dev shouldn't be a Build-Depend on hurd-i386
      (closes: #110556).
    + Standards-Version: 3.5.6.0.
  * debian/rules: removed dh_suidregister calls.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Oct 2001 18:04:05 +0100

sox (12.17.1-5) unstable; urgency=low

  * added build depends, fixed manpage typo (closes: #113528 #110556 #113985)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 4 May 2001 15:26:33 +0200

sox (12.17.1-4.1) unstable; urgency=low

  * NMU.
  * Added autoconf test for sizeof(unsigned long) and used that result
    to declare ULONG (instead of just #ifdef __alpha__).

 -- Jeff Licquia <jlicquia@progeny.com>  Thu, 30 Aug 2001 11:14:44 -0600

sox (12.17.1-4) unstable; urgency=low

  * endianess patch applied (closes: #98268), fixed Makefile.in (closes: #97940)

 -- Guenter Geiger <geiger@debian.org>  Wed, 23 May 2001 18:26:33 +0200

sox (12.17.1-3) unstable; urgency=low

  * fixed aiff handling, play manpage update (closes: #96192)

 -- Guenter Geiger <geiger@debian.org>  Fri, 4 May 2001 15:26:33 +0200

sox (12.17.1-2) unstable; urgency=low

  * fixed rec link (closes: #93264), fixed bug in .au files (closes: #93173)

 -- Guenter Geiger <geiger@debian.org>  Mon, 9 Apr 2001 15:26:33 +0200

sox (12.17.1-1) unstable; urgency=low

  * new upstream version (closes: #92969, #61788, #71629, #86162,
    #91332, #84265, #85181)

 -- Guenter Geiger <geiger@debian.org>  Fri, 6 Apr 2001 13:03:23 +0200

sox (12.16-9) unstable; urgency=low

  * play and rec script fixes with devfs, (closes: #81951)

 -- Guenter Geiger <geiger@debian.org>  Mon, 22 Jan 2001 12:03:23 +0100

sox (12.16-8) unstable; urgency=low

  * mime type fix closes: Bug??????

 -- Guenter Geiger <geiger@debian.org>  Fri, 22 Sep 2000 22:03:23 +0200

sox (12.16-7) unstable; urgency=low

  * fixed odd sample rates when soundcard doesn't support correct ones

 -- Guenter Geiger <geiger@debian.org>  Mon, 29 May 2000 20:30:23 +0100

sox (12.16-6) frozen unstable; urgency=low

  * patch for "smart" --silent option from Paul Slootman <paul@wau.mis.ah.nl
    fixed problems with Mac aiff files

 -- Guenter Geiger <geiger@debian.org>  Mon, 28 Feb 2000 19:45:36 +0100

sox (12.16-5) frozen unstable; urgency=low

  * folded in patch for sh compatibility code by
    Adel Belhouane <void@pipo.com>, closing bug#58511

 -- Guenter Geiger <geiger@debian.org>  Sun, 20 Feb 2000 15:03:04 +0100

sox (12.16-4) frozen unstable; urgency=low

  * fixes Bug#58360 (broken mime), Bug#43914 verbose play, Bug #26367
    accept several filenames

 -- Guenter Geiger <geiger@debian.org>  Fri, 18 Feb 2000 14:21:03 +0100

sox (12.16-3) unstable; urgency=low

  * fixed Bug#43394 compilation bug on machines without sound support

 -- Guenter Geiger <geiger@debian.org>  Tue, 24 Aug 1999 10:02:00 +0200

sox (12.16-2) unstable; urgency=low

  * installed mime files

 -- Guenter Geiger <geiger@debian.org>  Fri, 23 Jul 1999 16:45:00 +0200

sox (12.16-1) unstable; urgency=low

  * fixed "spaces" bug again, fixed #26367 playing multiple files
    moved to debhelper, added libst.a to package, fixed #40849
    stereo to mono conversion does not work.

 -- Guenter Geiger <geiger@debian.org>  Tue, 22 Jul 1999 14:30:00 +0200

sox (12.15-2) unstable; urgency=low

  * fixed bug in play script (spaces in filenames)

 -- Guenter Geiger <geiger@debian.org>  Sat, 15 May 1999 12:16:00 +0200

sox (12.15-1) unstable; urgency=low

  * new upstream version, which fixed most of the bugs

 -- Guenter Geiger <geiger@debian.org>  Sun, 27 Sep 1998 01:30:00 +0200

sox (12.14-2) unstable; urgency=low

  * Close Bug#23733: sox: play fails, bug in argument parsing (getopt)

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Thu, 25 Jun 1998 10:00:00 +0100

sox (12.14-1) unstable; urgency=low

  * new upstream version with most of Debian patches included

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Tue, 18 May 1998 8:50:00 +0100


sox (11gamma-cb3-5) unstable; urgency=low

  * Close bug Bug#18608: sox: postinst script failure
    Bug#18623: sox: bad postinst

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Sun, 26 Feb 1998 8:50:00 +0100


sox (11gamma-cb3-4) unstable; urgency=low

  * Close bug Bug#18150: register "play" with mime-support

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Sun, 13 Feb 1998 12:05:00 +0100

sox (11gamma-cb3-3) unstable; urgency=low

  * Closes bugs #15923 sox: -v option is ignored and
    #14103 (sox dumps core)

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Sun, 14 Dec 1997 13:25:00 +0100


sox (11gamma-cb3-2) unstable; urgency=low

  * Closes bugs #15138 (Uploaded sox 11gamma-cb3-1.1 (source i386) to master)
    #8456 sox: problem with -e option

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Mon, 1 Dec 1997 13:00:00 +0100


sox (11gamma-cb3-1) unstable; urgency=low

  * New Maintainer release.

  * Heavily patched to get rid of the use of long as 32 bit integer.

 -- Geiger Guenter <geiger@iem.mhsg.ac.at>  Tue, 14 Oct 1997 15:48:47 +0100


sox (11gamma-cb3-0.0) unstable; urgency=low

  * Non maintainer release. This package hasn't been updated since May '96.
  * New upstream version. New source format. Pristine source. Libc6. A
    complete repackaging, in fact.
  * Included 2 more doc files in the package.
  * Closes bugs #9451, #11724.

 -- Joey Hess <joeyh@master.debian.org>  Sat, 30 Aug 1997 20:48:47 -0400

Local variables:
mode: debian-changelog
End:
